#
# Caronade worker Makefile using SSH
#

# Example caronade.yaml:
#
# queues:
# - name: 13.1/amd64
#  recipe: ssh
#  environment:
#    SSH_HOST: your-builder
#    SSH_RECIPE: poudriere
#    JAIL_NAME: 121amd64
#    PORTSTREE: 121amd64
#
# - name: portlint
#  recipe: ssh
#  environment:
#    SSH_HOST: your-builder
#    SSH_RECIPE: portlint
#    PORTSDIR: /usr/local/poudriere/ports/default
#
# Example .ssh/config:
#
# Host your-builder
#  User root
#  HostName the.real-hostnam.com
#  IdentityFile ~/.ssh/id_rsa
#  IdentitiesOnly=yes
#  SendEnv JOB_ID COMMIT_ID REPO_URL JOB_PORT JAIL_NAME PORTSTREE PORTSDIR
#
# Example /etc/ssh/sshd_config on your-builder:
#
# AcceptEnv JOB_ID COMMIT_ID REPO_URL JOB_PORT JAIL_NAME PORTSTREE PORTSDIR

JAIL_NAME?=	default
SSH_HOST?=	nonexistent
WORKDIR?=	/usr/local/caronade/work/${SSH_RECIPE}.${JAIL_NAME}
RECIPE?=	/usr/local/caronade/work/${SSH_RECIPE}.mk

all: remote

remote:
	@ssh ${SSH_HOST} -T '/bin/sh -c "mkdir -p ${WORKDIR} ; make -C ${WORKDIR} -f ${RECIPE}"'

.PHONY: remote
